Permalink
Browse files

Regenerate dependencies from Jeweler, removing Jeweler's duplications

  • Loading branch information...
1 parent 07744ea commit 8064f1c39e710397c58ff0d6ea54b1494b41a8e9 @rferraz rferraz committed with Barry Allard Jan 12, 2012
Showing with 29 additions and 55 deletions.
  1. +12 −17 Gemfile.lock
  2. +2 −2 Rakefile
  3. +1 −1 VERSION
  4. +14 −35 churn.gemspec
View
29 Gemfile.lock
@@ -1,22 +1,14 @@
PATH
remote: .
specs:
- rferraz-churn (0.0.16)
- arrayfields (>= 4.7.4)
+ churn (0.0.19)
chronic (>= 0.2.3)
- chronic (>= 0.2.3)
- fattr (>= 2.2.0)
- hirb (>= 0.5.0)
- jeweler (>= 1.6.4)
- json (>= 1.6.1)
+ hirb
json_pure
main
- main (>= 4.6.0)
- map (>= 4.3.0)
- ruby_parser (>= 2.3.1)
+ rake
ruby_parser (~> 2.3)
- sexp_processor (>= 3.0.7)
- sexp_processor (~> 3.0.3)
+ sexp_processor (~> 3.0)
GEM
remote: http://rubygems.org/
@@ -30,10 +22,13 @@ GEM
bundler (~> 1.0)
git (>= 1.2.5)
rake
- json (1.6.4)
json_pure (1.6.4)
- main (4.7.1)
- map (5.2.0)
+ main (4.8.1)
+ arrayfields (~> 4.7.4)
+ chronic (~> 0.6.2)
+ fattr (~> 2.2.0)
+ map (~> 5.1.0)
+ map (5.1.0)
mocha (0.9.12)
rake (0.8.7)
ruby_parser (2.3.1)
@@ -46,9 +41,9 @@ PLATFORMS
ruby
DEPENDENCIES
- jeweler (~> 1.6.0)
+ churn!
+ jeweler (~> 1.6)
mocha (~> 0.9.5)
rake
- rferraz-churn!
shoulda
test-construct
View
4 Rakefile
@@ -12,13 +12,13 @@ begin
gem.homepage = "http://github.com/danmayer/churn"
gem.authors = ["Dan Mayer"]
gem.add_development_dependency "shoulda"
- gem.add_development_dependency "jeweler", '~> 1.6.0'
+ gem.add_development_dependency "jeweler", '~> 1.6'
gem.add_development_dependency "test-construct"
gem.add_development_dependency "mocha", '~> 0.9.5'
gem.add_dependency "main"
gem.add_dependency "json_pure"
gem.add_dependency "chronic", '>= 0.2.3'
- gem.add_dependency "sexp_processor", '~> 3.0.3'
+ gem.add_dependency "sexp_processor", '~> 3.0'
gem.add_dependency "ruby_parser", '~> 2.3'
gem.add_dependency 'hirb'
gem.executables = ['churn']
View
2 VERSION
@@ -1 +1 @@
-0.0.15
+0.0.19
View
49 churn.gemspec
@@ -5,11 +5,11 @@
Gem::Specification.new do |s|
s.name = "churn"
- s.version = "0.0.17"
+ s.version = "0.0.19"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Dan Mayer"]
- s.date = "2011-11-22"
+ s.date = "2012-01-12"
s.description = "High method and class churn has been shown to have increased bug and error rates. This gem helps you know what is changing a lot so you can do additional testing, code review, or refactoring to try to tame the volatile code. "
s.email = "dan@mayerdan.com"
s.executables = ["churn"]
@@ -58,63 +58,42 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<arrayfields>, [">= 4.7.4"])
- s.add_runtime_dependency(%q<chronic>, [">= 0.2.3"])
- s.add_runtime_dependency(%q<fattr>, [">= 2.2.0"])
- s.add_runtime_dependency(%q<hirb>, [">= 0.5.0"])
- s.add_runtime_dependency(%q<jeweler>, [">= 1.6.4"])
- s.add_runtime_dependency(%q<json>, [">= 1.6.1"])
- s.add_runtime_dependency(%q<main>, [">= 4.6.0"])
- s.add_runtime_dependency(%q<ruby_parser>, [">= 2.3.1"])
- s.add_runtime_dependency(%q<sexp_processor>, [">= 3.0.7"])
+ s.add_runtime_dependency(%q<rake>, [">= 0"])
s.add_development_dependency(%q<shoulda>, [">= 0"])
- s.add_development_dependency(%q<jeweler>, ["~> 1.6.0"])
s.add_development_dependency(%q<test-construct>, [">= 0"])
s.add_development_dependency(%q<mocha>, ["~> 0.9.5"])
+ s.add_development_dependency(%q<jeweler>, ["~> 1.6"])
s.add_runtime_dependency(%q<main>, [">= 0"])
s.add_runtime_dependency(%q<json_pure>, [">= 0"])
s.add_runtime_dependency(%q<chronic>, [">= 0.2.3"])
- s.add_runtime_dependency(%q<sexp_processor>, ["~> 3.0.3"])
+ s.add_runtime_dependency(%q<sexp_processor>, ["~> 3.0"])
s.add_runtime_dependency(%q<ruby_parser>, ["~> 2.3"])
+ s.add_runtime_dependency(%q<hirb>, [">= 0"])
else
- s.add_dependency(%q<arrayfields>, [">= 4.7.4"])
- s.add_dependency(%q<chronic>, [">= 0.2.3"])
- s.add_dependency(%q<fattr>, [">= 2.2.0"])
- s.add_dependency(%q<hirb>, [">= 0.5.0"])
- s.add_dependency(%q<jeweler>, [">= 1.6.4"])
- s.add_dependency(%q<json>, [">= 1.6.1"])
- s.add_dependency(%q<main>, [">= 4.6.0"])
- s.add_dependency(%q<ruby_parser>, [">= 2.3.1"])
- s.add_dependency(%q<sexp_processor>, [">= 3.0.7"])
+ s.add_dependency(%q<rake>, [">= 0"])
s.add_dependency(%q<shoulda>, [">= 0"])
- s.add_dependency(%q<jeweler>, ["~> 1.6.0"])
s.add_dependency(%q<test-construct>, [">= 0"])
s.add_dependency(%q<mocha>, ["~> 0.9.5"])
+ s.add_dependency(%q<jeweler>, ["~> 1.6"])
s.add_dependency(%q<main>, [">= 0"])
s.add_dependency(%q<json_pure>, [">= 0"])
s.add_dependency(%q<chronic>, [">= 0.2.3"])
- s.add_dependency(%q<sexp_processor>, ["~> 3.0.3"])
+ s.add_dependency(%q<sexp_processor>, ["~> 3.0"])
s.add_dependency(%q<ruby_parser>, ["~> 2.3"])
+ s.add_dependency(%q<hirb>, [">= 0"])
end
else
- s.add_dependency(%q<arrayfields>, [">= 4.7.4"])
- s.add_dependency(%q<chronic>, [">= 0.2.3"])
- s.add_dependency(%q<fattr>, [">= 2.2.0"])
- s.add_dependency(%q<hirb>, [">= 0.5.0"])
- s.add_dependency(%q<jeweler>, [">= 1.6.4"])
- s.add_dependency(%q<json>, [">= 1.6.1"])
- s.add_dependency(%q<main>, [">= 4.6.0"])
- s.add_dependency(%q<ruby_parser>, [">= 2.3.1"])
- s.add_dependency(%q<sexp_processor>, [">= 3.0.7"])
+ s.add_dependency(%q<rake>, [">= 0"])
s.add_dependency(%q<shoulda>, [">= 0"])
- s.add_dependency(%q<jeweler>, ["~> 1.6.0"])
s.add_dependency(%q<test-construct>, [">= 0"])
s.add_dependency(%q<mocha>, ["~> 0.9.5"])
+ s.add_dependency(%q<jeweler>, ["~> 1.6"])
s.add_dependency(%q<main>, [">= 0"])
s.add_dependency(%q<json_pure>, [">= 0"])
s.add_dependency(%q<chronic>, [">= 0.2.3"])
- s.add_dependency(%q<sexp_processor>, ["~> 3.0.3"])
+ s.add_dependency(%q<sexp_processor>, ["~> 3.0"])
s.add_dependency(%q<ruby_parser>, ["~> 2.3"])
+ s.add_dependency(%q<hirb>, [">= 0"])
end
end

0 comments on commit 8064f1c

Please sign in to comment.